
Foreman - Bug #2797

Saving provisioning template ruins the template when preview mode is selected

07/16/2013 06:42 AM - Libor Zoubek

Status: Closed   

Priority: Normal   

Assignee: Sam Kottler   

Category: Web Interface   

Target version: 1.2.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to reproduce:

1. edit any existing provisioning template

2. do some changes in Template editor

3. hit "Preview" to see your changes

4. hit "Save" to save your template

Actual results: template gets ruined. Diff (the preview) is saved as template new version of template instead of template body itself.

Expected results: when you hit "Save" template gets saved no matter if you are looking at "Code" or "Preview"

Related issues:

Related to Foreman - Bug #2826: New config templates don't save because the s... Closed 07/24/2013

Associated revisions

Revision 99b2e61b - 07/19/2013 04:52 AM - Sam Kottler

fixes #2797 - Submit the final code, not the diff in the config template editor

Revision ac5b46e3 - 07/19/2013 04:55 AM - Sam Kottler

fixes #2797 - Submit the final code, not the diff in the config template editor

(cherry picked from commit 99b2e61bed1474451fdef1852d484f009dc4cb2f)

History

#1 - 07/16/2013 03:24 PM - Ohad Levy

- Target version set to 1.2.1

#2 - 07/18/2013 12:46 PM - Sam Kottler

- Assignee set to Sam Kottler

- Difficulty set to medium

#3 - 07/18/2013 02:46 PM - Sam Kottler

- Status changed from New to Ready For Testing

- Difficulty changed from medium to trivial

https://github.com/theforeman/foreman/pull/793

#4 - 07/19/2013 05:17 AM - Sam Kottler

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ac5b46e3c783bb733145d85ed676815ab93416cd.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://github.com/theforeman/foreman/pull/793
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ac5b46e3c783bb733145d85ed676815ab93416cd
http://www.tcpdf.org

